> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Native Balance for an Address

> Retrieves the native token balance held by a specific address.

export const TryEndpointLink = ({href, label = 'Try this endpoint in your', linkText = 'browser'}) => {
  if (!href) {
    return null;
  }
  const isExternal = (/^https?:/i).test(href);
  return <p className="mt-4 text-base font-medium text-zinc-900 dark:text-zinc-100">
      {label}{' '}
      <a href={href} className="font-semibold text-primary-600 hover:underline" target={isExternal ? '_blank' : undefined} rel={isExternal ? 'noopener noreferrer' : undefined}>
        {linkText}
      </a>
      .
    </p>;
};

export const chainCurrency = 'ETH';

export const chain = '1';

<ResponseExample>
  ```json Response theme={null}
  {
     "status":"1",
     "message":"OK",
     "result":"172774397764084972158218"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/balance.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Native Balance for an Address
  version: 2.0.0
  description: Retrieves the native token balance held by a specific address.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Native Balance for an Address
      description: Retrieves the native token balance held by a specific address.
      operationId: getBalance
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query. For example, use 1 for Ethereum or 8453 for Base
            from our supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint.
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to balance for this endpoint.
          schema:
            type: string
            default: balance
          example: balance
        - name: address
          in: query
          required: true
          description: >-
            The address to query, like
            0xfefefefefefefefefefefefefefefefefefefefe. To query multiple
            addresses in a single call, use the Get Native Balance for Multiple
            Addresses endpoint.
          schema:
            type: string
          example: '0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae'
        - name: tag
          in: query
          required: false
          description: >-
            Use latest for the last block number of the chain. Also accepts a
            specific block number in hex format, like 0x10d4f up to the last 128
            blocks. For historical balances, use the Historical Balance
            endpoint.
          schema:
            type: string
          example: latest
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````